---
title: getBBox()
slug: Web/API/SVGGraphicsElement/getBBox
tags:
  - API
  - Method
  - Reference
  - SVG
  - SVG DOM
  - SVGGraphicsElement
---
<div>{{APIRef}}</div>

<p>The <code><strong>SVGGraphicsElement.getBBox()</strong></code> allows us to determine the coordinates of the smallest rectangle in which the object fits. The coordinates returned are with respect to the current SVG space (after the application of all geometry attributes on all the elements contained in the target element).</p>

<div class="notecard note">
<p><strong>Note:</strong> <code>getBBox()</code> must return the actual bounding box at the time the method was called—even in case the element has not yet been rendered. It also does not account for any transformation applied to the element or its parents.</p>
</div>

<div class="notecard note">
<p><code>getBBox</code> returns different values than {{domxref("Element.getBoundingClientRect()", "getBoundingClientRect()")}}, as the latter returns value relative to the viewport</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let bboxRect = <var>object</var>.getBBox();</pre>

<h3 id="Return_value">Return value</h3>

<p>The returned value is a {{domxref("SVGRect")}} object, which defines the bounding box. This value is irrespective of any transformation attribute applied to it or the parent elements.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;svg viewBox="0 0 200 200" xmlns="http://www.w3.org/2000/svg"&gt;
    &lt;g id="group_text_1"&gt;
        &lt;text x="5" y="16" transform="scale(2, 2)"&gt;Hello World!&lt;/text&gt;
        &lt;text x="8" y="32" transform="translate(0 20) scale(1.25 1)"&gt;Hello World Again!&lt;/text&gt;
    &lt;/g&gt;
    &lt;!-- Shows BBox in green --&gt;
    &lt;rect id="rect_1" stroke="#00ff00" stroke-width="3" fill="none"&gt; &lt;/rect&gt;
    &lt;!-- Shows BoundingClientRect in red --&gt;
    &lt;rect id="rect_2" stroke="#ff0000" stroke-width="3" fill="none"&gt;&lt;/rect&gt;
&lt;/svg&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">var rectBBox = document.querySelector('#rect_1');
var rectBoundingClientRect = document.querySelector('#rect_2');
var groupElement = document.querySelector('#group_text_1');

var bboxGroup = groupElement.getBBox();
rectBBox.setAttribute('x', bboxGroup.x);
rectBBox.setAttribute('y', bboxGroup.y);
rectBBox.setAttribute('width', bboxGroup.width);
rectBBox.setAttribute('height', bboxGroup.height);

var boundingClientRectGroup = groupElement.getBoundingClientRect();
rectBoundingClientRect.setAttribute('x', boundingClientRectGroup.x);
rectBoundingClientRect.setAttribute('y', boundingClientRectGroup.y);
rectBoundingClientRect.setAttribute('width', boundingClientRectGroup.width);
rectBoundingClientRect.setAttribute('height', boundingClientRectGroup.height);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG1.1', 'types.html#__svg__SVGLocatable__getBBox', 'getBBox')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition (applies to SVG elements only).</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/Graphics/SVG/IG/resources/svgprimer.html#getBBox">getBBox in SVG Primer</a></li>
</ul>
